# ReadCookie

### Description

Reads data stored in a cookie by the [StoreCookie ](/docs/api-reference/.net-api/qlmlicense/client-side-methods/storecookie.md)API.

```csharp
bool ReadCookie(string cookieName, int index, out string data)
```

### Arguments

| Name       | Data Type | Description                          |
| ---------- | :-------: | ------------------------------------ |
| cookieName |   string  | the name of the cookie               |
| index      |    int    | the index of the element to retrieve |
| data       |   string  | the returned data                    |

### Return

| Data Type | Description                     |
| :-------: | ------------------------------- |
|    bool   | true if the call was successful |

### Remarks

Use the FavorMachineLevelLicenseKey to control which key takes precedence if the keys are stored at the user and machine levels.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/readcookie.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
